<template>
  <div class="container">
    <h1>Find and Slap The Corruption </h1>
    <button @click="start" :disabled="isPlaying" :style="isPlaying ? userNotAllowed  : userAllowed" >Play The Game</button>
    <p>Time {{score}} ms</p>
  <Block v-if:="isPlaying" :delay="delay" @end="endGame"/>
  </div>
</template>
<script>
import Block from "./components/Block.vue"
export default {
  name: 'App',
  components:{Block},

  data() {
    return {
      isPlaying : false,
      delay : null,
      score : null,
      userAllowed : {
        cursor : 'default',
        backgroundColor : "#e67e22",
        boxShadow: '0px 6px 0px #d35400'
        
      },
      userNotAllowed : {
        cursor : 'not-allowed',
        backgroundColor : "#B91C1C",
        color : "#fff"
      }
    }
  },
  methods: {
    start(){
      this.delay = 2000 + Math.random() * 5000;
      this.isPlaying = true
    },
    endGame(reactionTime){
      this.score = reactionTime
      this.isPlaying = false
    }
  },
  
}
</script>

<style>
*{
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin: 0;
  padding: 0;
}
.container{
  border:4px solid black;
  height: 100vh;
  position: relative;
  display : flex;
  flex-direction: column;
}

.container button {
  position:relative;
  width: 150px ;
  margin: auto;
  font-size: 16px;
  border:none;
  color:#ecf0f1;
  text-decoration:none;
  border-radius:5px;
  text-align:center;
  padding:16px 0px;
  -webkit-transition: all 0.1s;
  -moz-transition: all 0.1s;
  transition: all 0.1s;
  margin-top: 20px;
}
  .container button:active{
    -webkit-box-shadow: 0px 2px 0px #d35400;
    -moz-box-shadow: 0px 2px 0px #d35400;
    box-shadow: 0px 2px 0px #d35400;
    position:relative;
    top:4px;
  }
</style>
